## wmmon 1.0b2

=== wmmon/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =  wmmon.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o


.c.o:
	cc -c -O2 -Wall $< -o $*.o

wmmon: $(OBJS)
	cc -o wmmon $^ $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm $$i;\
	done
	rm wmmon

=== debian/changelog ===
wmmon (1.0b2-15) unstable; urgency=low

  * QA upload.
  * Apply improvements for SMP machines management (Closes: #552225)
  * Update FSF address in copyright (lintian)
  * Move to 3.0 quilt and turn previous direct changes into a patch.

 -- Neil Williams <codehelp@debian.org>  Sat, 14 May 2011 18:41:35 +0100

wmmon (1.0b2-14) unstable; urgency=medium

  * Fixed build dependencies so we no longer depend on libxpm4-dev.
  * Quoted all strings in /usr/lib/menu/wmtime.
  * Add the ability to lock the mode, preventing cycling.  Thanks go to
    Chris Bechberger <bechberger@yahoo.com>.

 -- Simon Law <sfllaw@debian.org>  Tue, 10 Aug 2004 21:22:17 -0400

wmmon (1.0b2-13) unstable; urgency=low

  * Removed a memory leak that I introduced.  (Closes: Bug#223338)

 -- Simon Law <sfllaw@debian.org>  Tue, 09 Dec 2003 12:42:41 -0500

wmmon (1.0b2-12) unstable; urgency=low

  * Changed section to x11.

 -- Simon Law <sfllaw@debian.org>  Fri, 05 Dec 2003 11:17:21 -0500

wmmon (1.0b2-11) unstable; urgency=low

  * New maintainer.
  * Added a manual page.
  * Added the -geometry option.
  * Ensure that I/O mode works the same no matter how it is started.
    (Closes: Bug#94277)
  * Support new /proc/meminfo format in 2.6 kernels. (Closes: Bug#169160)
  * Fixed some buffer overflow problems.  (Closes: Bug#174949)

 -- Simon Law <sfllaw@debian.org>  Wed, 26 Nov 2003 23:47:47 -0500

wmmon (1.0b2-10) unstable; urgency=low

  * Fixed build depends (closes: #170133)
  * Applied patch from Simon Fowler <simon@himi.org> to fix /proc/meminfo
    parsing for linux 2.5.

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 22 Nov 2002 14:17:26 +0100

wmmon (1.0b2-9) unstable; urgency=low

  * Remove debug message (closes: #139408)
  * Applied patch from Frederik Schueler <fs@lowpingbastards.de>
    to fix /proc/stat parsing on linux 2.4 (closes: #144122)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 23 Apr 2002 21:39:09 +0200

wmmon (1.0b2-8) unstable; urgency=low

  * Fixed menu path (closes: #129353)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 17 Jan 2002 21:35:03 +0100

wmmon (1.0b2-7) unstable; urgency=low

  * Updated description (closes: #125496)
  * Don't install INSTALL (closes: #116940)
  * Changed section to utils

 -- Fredrik Hallenberg <hallon@debian.org>  Wed,  2 Jan 2002 23:19:06 +0100

wmmon (1.0b2-6) unstable; urgency=low

  * Updated menu with patch from Arthur Korn <arthur@korn.ch>
    (closes: #82315)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 15 Jan 2001 07:56:10 +0100

wmmon (1.0b2-5) unstable; urgency=low

  * Build without xpm4.7 (closes: #77466)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 19 Nov 2000 22:17:03 +0100

wmmon (1.0b2-4) unstable; urgency=low

  * Added menu entry (closes: #76969)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 18 Nov 2000 21:14:56 +0100

wmmon (1.0b2-3) unstable; urgency=low

  * Rebuild to update libxmp dependency. (closes: #67990)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 31 Jul 2000 07:25:09 +0200

wmmon (1.0b2-2) unstable; urgency=low

  * Patch from Salvador Pinto Abreu <spa@sc.uevora.pt>:
    Fixed behavior when APM causes the system to sleep/suspend.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 17 Oct 1998 13:35:55 +0200

wmmon (1.0b2-1) unstable; urgency=low

  * Initial Release.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 15 Jul 1998 18:18:37 +0200

=== debian/control ===
Source: wmmon
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), libx11-dev, libxpm-dev, libxext-dev

Package: wmmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker dockapp for monitoring system information
 WMMon monitors the realtime CPU load as well as the average system load,
 and gives you some nice additional features too. It is intended for
 docking in Window Maker.
 .
 It currently provides:
 .
   * a realtime CPU stress meter;
   * an auto-scaled average system load meter, like xload and wmavgload;
   * a realtime disk I/O stress meter;
   * auto-scaled disk I/O load meter;
   * realtime memory and swap usage meters;
   * a display for system uptime;
   * three user-defined commands to launch.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for wmmon.
# Copyright (C) 2003  Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# Based on the sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd wmmon; $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-cd wmmon; $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/wmmon.
	install -m 755 wmmon/wmmon $(CURDIR)/debian/wmmon/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wmmon 1.1%2B20131205

=== debian/changelog ===
wmmon (1.1+20131205-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patch to build with "-std=gnu89".
    (Closes: #778171)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 17:26:25 +0200

wmmon (1.1+20131205-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Debian Policy to 3.9.5.
  * debian/compat is now version 9.
  * debian/control: Build depends, debhelper version >= 9.
  * New patch debian/patches/01-cppflags.patch
    * This flag includes de CPPFLAGS in Makefile, to allow hardening.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Fri, 06 Dec 2013 20:27:13 +0100

wmmon (1.1+20120402-1) unstable; urgency=low

  * New upstream version.
    * Fixes output from I/O graph. (Closes: #197446)
    * Load graph now displays when under high load. (Closes: #277902)
  * Bumped Debian Policy to 3.9.3.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 15 Apr 2012 19:22:45 +0200

wmmon (1.1-1) unstable; urgency=low

  * New maintainer. (Closes: #487134)
  * New upstream version.
    * This version includes the previous debian/patches.
    * Now, there are no debian/patches.
    * New upstream address: git://repo.or.cz/dockapps.git
      because the old is not available.
  * debian/copyright is now DEP-5.
  * Updated debian/rules.
    * Removed debian/dirs.
    * New file debian/wmmon.install.
    * Moved debian/examples to debian/wmmon.examples.
    * Moved debian/manpages to debian/wmmon.manpages.
    * Moved debian/menu to debian/wmmon.menu.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Fri, 16 Dec 2011 18:03:35 +0100

## wmmon 1.1+20120402

=== wmmon/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =  wmmon.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

CFLAGS = -O2
CC = cc


.c.o:
	$(CC) $(CFLAGS) -c -Wall $< -o $*.o

wmmon: $(OBJS)
	$(CC) $(LDFLAGS) -o wmmon $^ $(LIBDIR) $(LIBS)

debug: CFLAGS = -g3 
debug: wmmon

clean::
	for i in $(OBJS) ; do \
		rm -f $$i;\
	done
	rm -f wmmon

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: wmmon
 Section: x11
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), libx11-dev, libxpm-dev, libxext-dev
+Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev, libxext-dev
+Homepage: http://repo.or.cz/w/dockapps.git
 
 Package: wmmon
 Architecture: any

## wmmon 1.1+20131205

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wmmon
 Section: x11
 Priority: optional
-Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev, libxext-dev
+Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
 Homepage: http://repo.or.cz/w/dockapps.git
 
 Package: wmmon

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_testdir
	cd wmmon; $(MAKE)

override_dh_clean:
	dh_testdir
	dh_testroot
	cd wmmon; $(MAKE) clean
	dh_clean

## wmmon 1.3

=== debian/changelog ===
wmmon (1.3-1) unstable; urgency=medium

  * New maintainer (Closes: #866853).
  * New upstream release.
    - Fix jiffy counter overflowing long on 32-bit systems
      (Closes: #670151).
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Bump Standards-Version to 4.0.1.
    - Bump versioned dependency on debhelper to >= 10.
    - Add libdockapp-dev and pkg-config to Build-Depends.
    - Update Homepage.
    - Add Vcs-* fields.
  * debian/copyright
    - Update Format and Source.
  * debian/docs
    - New file; install docs.
  * debian/examples
    - Rename from wmmon.examples for simplicity.
  * debian/patches
    - Remove patches; no longer necessary.
  * debian/rules
    - Drop override targets; no longer necessary.
    - Append '-Wl,--as-needed' to LDFLAGS to useless dependencies.
    - Use all hardening flags.
  * debian/watch
    - Update with new location.
  * debian/wmmon.{install,manpages}
    - Remove files; no longer necessary.
  * debian/wmmon.menu
    - Remove deprecated menu file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 12 Aug 2017 19:56:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,18 @@
 Source: wmmon
 Section: x11
 Priority: optional
-Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
-Homepage: http://repo.or.cz/w/dockapps.git
+Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Standards-Version: 4.0.1
+Build-Depends: debhelper (>= 10),
+               libdockapp-dev,
+               libx11-dev,
+               libxext-dev,
+               libxpm-dev,
+               pkg-config
+Homepage: http://www.dockapps.net/wmmon
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmmon.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmmon.git
 
 Package: wmmon
 Architecture: any

## wmmon 1.4

=== debian/changelog ===
wmmon (1.4-1) unstable; urgency=medium

  * New upstream release.
    - Add support for larger load averages (Closes: #894801).
  * debian/control
    - Bump Standards-Version to 4.1.4.
    - Update Vcs-* after migration to Salsa.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 10 Apr 2018 19:47:37 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 10),
                libdockapp-dev,
                libx11-dev,
@@ -11,8 +11,8 @@
                libxpm-dev,
                pkg-config
 Homepage: http://www.dockapps.net/wmmon
-Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmmon.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmmon.git
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmmon
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmmon.git
 
 Package: wmmon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# wmmon is overlinked thanks to the libdockapp pkg-config file.
# We should be able to remove this after libdockapp has been updated.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
